<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Digitanium
| Updates: Yxos (v1.6 for PHP-Fusion v6.01.XX) and
| muscapaul (v2.0 for PHP-Fusion v7.XX) 
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."newsletter_panel/infusion_db.php";

if (file_exists(INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."newsletter_panel/locale/English.php";
}

if (!checkrights("NL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$newsletter_id = (isset($_REQUEST['newsletter_id']) AND isnum($_REQUEST['newsletter_id'])) ? $_REQUEST['newsletter_id'] : "";
$content = isset($_REQUEST['content']) ? $_REQUEST['content'] : "";
$subject = isset($_REQUEST['subject']) ? $_REQUEST['subject'] : "";
$plain = isset($_REQUEST['plain']) ? $_REQUEST['plain'] : "";
$html = isset($_REQUEST['html']) ? $_REQUEST['html'] : "";
$format = isset($_REQUEST['format']) ? $_REQUEST['format'] : "";

if (isset($_POST['save'])) {
	$subject = addslash($subject);
	$content = addslash($content);
	if ($newsletter_id != '') {
		$result = dbquery("UPDATE ".DB_NEWSLETTERS." SET newsletter_subject='$subject', newsletter_content='$content', newsletter_format='".$format."' WHERE newsletter_id='$newsletter_id'");
		opentable($locale['NL411']);
		echo "<center><br />".$locale['NL415']."<br /><br />";
		echo "<a href='newsletter_admin.php".$aidlink."'>".$locale['NL421']."</a><br /><br />";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['NL422']."</a><br /><br /></center>\n";
		closetable();
	} else {
		$result = dbquery("INSERT INTO ".DB_NEWSLETTERS." (newsletter_subject, newsletter_content, newsletter_format, newsletter_datestamp) VALUES('$subject', '$content', '".$_POST['format']."', '".time()."')");
		opentable($locale['NL410']);
		echo "<center><br />".$locale['NL414']."<br /><br />";
		echo "<a href='newsletter_admin.php".$aidlink."'>".$locale['NL421']."</a><br /><br />";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['NL422']."</a><br /><br /></center>\n";
		closetable();
	}
} else if (isset($_POST['send'])) {
	if ($settings['smtp_host'] == "") {
		require_once INFUSIONS."newsletter_panel/sendmail_include.php";
	} else {
		require_once INCLUDES."sendmail_include.php";
	}
	$subject = stripslash($_POST['subject']);
	if ($_POST['format'] == "plain") {
		$content = stripslash($_POST['content']);
	} else if ($_POST['format'] == "html") {
		$content = "<html>
<head>
<style type=\"text/css\">
<!--
a { color: #0000ff; text-decoration:none; }
a:hover { color: #0000ff; text-decoration: underline; }
body { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }
p { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }
.td { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }
-->
</style>
</head>
<body>
".stripslashes($_POST['content'])."
</body>
</html>";
	}
	$result = dbquery(
		"SELECT tns.*, tu.user_id,user_name,user_email FROM ".DB_NEWSLETTER_SUBS." tns
		LEFT JOIN ".DB_USERS." tu ON tns.newsletter_sub_user=tu.user_id"
	);
	if (dbrows($result)) {
		$i = 1; $rows = dbrows($result); $bcc_list = "";
		while ($data = dbarray($result)) {
			if ($data['user_id'] == '') {
				$result1 = dbquery("DELETE FROM ".DB_NEWSLETTER_SUBS." WHERE newsletter_sub_user='".$data['newsletter_sub_user']."'");
			}
			else {
				$bcc_list .= ($i != 1 ? ", " : "").$data['user_email'];
				if ($rows == 1 || $i == 99) {
					if (!sendemail($settings['siteusername'],$settings['siteemail'],$settings['siteusername'],$settings['siteemail'],$subject,$content,$_POST['format'],"", $bcc_list)) {
						$error = $locale['NL418'];
					}
				$bcc_list = "";
				}
			if ($i != 99) { $i++; } else { $i = 1; }
			$rows--;
			}
		}
		$result = dbquery("SELECT tns.*, tu.user_id,user_name,user_email FROM ".DB_NEWSLETTER_SUBS." tns LEFT JOIN ".DB_USERS." tu ON tns.newsletter_sub_user=tu.user_id");
		while ($data = dbarray($result)) {
			if ($data['user_email'] == '') {
				$result = dbquery("DELETE FROM ".DB_NEWSLETTER_SUBS." WHERE newsletter_sub_user='".$data['user_id']."'");
			echo $data['user_id']."deleted from subs list";
			}
		}

	} else {
		$error = $locale['NL419'];
	}
	opentable($locale['NL412']);
	echo "<center><br />\n";
	if (!$error) {
		echo $locale['NL416']."<br /><br />\n";
	} else {
		echo $locale['NL417']."<br /><br />\n".$error."<br /><br />\n";
	}
	echo "<a href='newsletter_admin.php".$aidlink."'>".$locale['NL421']."</a><br /><br />";
	echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['NL422']."</a><br /><br /></center>\n";
	closetable();
} else if (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".DB_NEWSLETTERS." WHERE newsletter_id='$newsletter_id'");
	opentable($locale['NL413']);
	echo "<center><br />".$locale['NL420']."<br /><br />";
	echo "<a href='newsletter_admin.php".$aidlink."'>".$locale['NL421']."</a><br /><br />";
	echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['NL422']."</a><br /><br /></center>\n";
	closetable();
} else {
	if (isset($_POST['preview'])) {
		$subject = phpentities(stripslash($subject));
		$content = phpentities(stripslash($content));
		$plain = ($format == "plain" ? " checked" : "");
		$html = ($format == "html" ? " checked" : "");
		if ($format == "plain") {
			$contentpreview = NL2br(stripslash($content));
		} else {
			$contentpreview = stripslash($content);
		}
		opentable($subject);
		echo "$contentpreview\n";
		closetable();
		tablebreak();
	}
	opentable($locale['NL400']);
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".DB_NEWSLETTERS." ORDER BY newsletter_datestamp DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if ($newsletter_id != "") { $sel = ($newsletter_id == $data['newsletter_id'] ? " selected" : ""); }
			$editlist .= "<option value='".$data['newsletter_id']."'$sel>".$data['newsletter_subject']."</option>\n";
		}
	}
	echo "<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>";
	echo "<center><select name='newsletter_id' class='textbox' style='width:250px;'>$editlist</select>\n";
	echo "<input type='submit' name='edit' value='".$locale['NL401']."' class='button' />\n";
	echo "<input type='submit' name='delete' value='".$locale['NL402']."' onclick='return DeleteNewsletter();' class='button' /><br /><br />";
	echo THEME_BULLET."<a href='newsletter_subs.php".$aidlink."'>".$locale['NL403']."</a>".THEME_BULLET;
	echo "</center></form>\n";
	closetable();

	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".DB_NEWSLETTERS." WHERE newsletter_id='$newsletter_id'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = phpentities(stripslashes($data['newsletter_subject']));
			$content = phpentities(stripslashes($data['newsletter_content']));
			$plain = ($data['newsletter_format'] == "plain" ? " checked" : "");
			$html = ($data['newsletter_format'] == "html" ? " checked" : "");
		}
	}
	if ($newsletter_id != "") {
		$action = FUSION_SELF.$aidlink."&amp;newsletter_id=$newsletter_id";
		opentable($locale['NL411']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$content = "";
			$html = "";
			$plain = " checked";
		}
		$action = FUSION_SELF.$aidlink;
		opentable($locale['NL410']);
	}
	echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this)'>\n";
	echo "<table align='center' cellspacing='0' cellpadding='0' class='tbl'>\n";
	echo "<tr><td width='100'>".$locale['NL430']."</td>\n";
	echo "<td><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;'></td></tr>\n";
	echo "<tr><td valign='top' width='100'>".$locale['NL431']."</td>\n";
	echo "<td><textarea name='content' cols='95' rows='15' class='textbox'>$content</textarea></td></tr>\n";
	echo "<tr><td>".$locale['NL432']."</td>\n";
	echo "<td><input type='button' value='p' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('content', '<p>', '</p>');\" />\n";
	echo "<input type='button' value='br' class='button' style='font-weight:bold;width:25px;' onClick=\"insertText('content', '<br />');\" />\n";
	echo "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('content', '<b>', '</b>');\" />\n";
	echo "<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('content', '<i>', '</i>');\" />\n";
	echo "<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('content', '<u>', '</u>');\" />\n";
	echo "<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('content', '<a href=\'http://\' target=\'_blank\'>', '</a>');\" />\n";
	echo "<input type='button' value='img' class='button' style='width:35px;' onClick=\"insertText('content', '<img src=\'".$settings['siteurl']."fusion_images/\' style=\'margin:5px;\' align=\'left\'>');\" />\n";
	echo "<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('content', '<center>', '</center>');\" />\n";
	echo "<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('content', '<span class=\'small\'>', '</span>');\" />\n";
	echo "<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('content', '<span class=\'small2\'>', '</span>');\" />\n";
	echo "<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('content', '<span class=\'alt\'>', '</span>');\">
</td>
</tr>
<tr>
<td><br />".$locale['NL433']."</td>
<td><br /><input type='radio' name='format' value='plain'$plain>".$locale['NL434']." <input type='radio' name='format' value='html'$html>".$locale['NL435']."</td>
</tr>
<tr>
<td align='center' colspan='2'><br />
<input type='submit' name='preview' value='".$locale['NL436']."' class='button'>
<input type='submit' name='save' value='".$locale['NL437']."' class='button'>
<input type='submit' name='send' value='".$locale['NL438']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	echo "<script language=\"JavaScript\">
function DeleteNewsletter() {
	return confirm('".$locale['NL451']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['NL450']."');
		return false;
	}
}
</script>\n";
}

require_once THEMES."templates/footer.php";
?>