<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Digitanium
| Updates: Yxos (v1.6 for PHP-Fusion v6.01.XX) and
| muscapaul (v2.0 for PHP-Fusion v7.XX) 
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."newsletter_panel/infusion_db.php";

if (file_exists(INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."newsletter_panel/locale/English.php";
}

// Infusion Information
$inf_title = $locale['NL100'];
$inf_description = $locale['NL101'];
$inf_version = "2.00";
$inf_developer = "Digitanium, updates Yxos, muscapaul";
$inf_email = "digitanium@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.co.uk";

$inf_folder = "newsletter_panel";

$inf_newtable[1] = DB_NEWSLETTERS." (
	newsletter_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	newsletter_subject VARCHAR(200) NOT NULL DEFAULT '',
	newsletter_content text NOT NULL,
	newsletter_format VARCHAR(5) NOT NULL DEFAULT 'plain',
	newsletter_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (newsletter_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_NEWSLETTER_SUBS." (
	newsletter_sub_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	newsletter_sub_user SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (newsletter_sub_id)
) TYPE=MyISAM;";

$inf_droptable[1] = "newsletters";
$inf_droptable[2] = "newsletter_subs";

$inf_adminpanel[1] = array(
	"title" => $locale['NL100'],
	"image" => "infusion_panel.gif",
	"panel" => "newsletter_admin.php",
	"rights" => "NL"
);
?>